# Undelete an identity document

Undeletes a soft-deleted identity document.
 See AIP-164.

Endpoint: POST /v1alpha/documents/{document}:undelete
Version: v1alpha
Security: oauth2_client_credentials, oauth2_authorization_code

## Path parameters:

  - `document` (string, required)
    The document id.

## Response 200 fields (application/json):

  - `auMedicareCard` (object, required)

  - `auMedicareCard.cardNumber` (string, required)
    The number shown on the Medicare card.

  - `auMedicareCard.individualReferenceNumber` (integer)
    (OPTIONAL) The individual's reference number on the card (1–4).

  - `auMedicareCard.birthDate` (object)
    Represents a whole or partial calendar date, such as a birthday. The time of
day and time zone are either specified elsewhere or are insignificant. The
date is relative to the Gregorian Calendar. This can represent one of the
following:
* A full date, with non-zero year, month, and day values
* A month and day value, with a zero year, such as an anniversary
* A year on its own, with zero month and day values
* A year and month value, with a zero day, such as a credit card expiration
date

Related types are [google.type.TimeOfDay][google.type.TimeOfDay] and
`google.protobuf.Timestamp`.

  - `auMedicareCard.birthDate.year` (integer)
    Year of the date. Must be from 1 to 9999, or 0 to specify a date without
 a year.

  - `auMedicareCard.birthDate.month` (integer)
    Month of a year. Must be from 1 to 12, or 0 to specify a year without a
 month and day.

  - `auMedicareCard.birthDate.day` (integer)
    Day of a month. Must be from 1 to 31 and valid for the year and month, or 0
 to specify a year by itself or a year and month where the day isn't
 significant.

  - `auMedicareCard.cardType` (string)
    Enum: "CARD_TYPE_UNSPECIFIED", "GREEN", "BLUE", "YELLOW"

  - `auMedicareCard.fullName1` (string)
    (OPTIONAL) Full name of the primary cardholder (line 1).

  - `auMedicareCard.fullName2` (string)
    (OPTIONAL) Optional. Full name of the second cardholder (line 2).

  - `auMedicareCard.fullName3` (string)
    (OPTIONAL) Optional. Full name of the third cardholder (line 3).

  - `auMedicareCard.fullName4` (string)
    (OPTIONAL) Optional. Full name of the fourth cardholder (line 4).

  - `passport` (object, required)

  - `passport.passportNumber` (string, required)
    The number shown on the passport.

  - `passport.givenName` (string)
    (OPTIONAL) The individual's given name as it appears on the passport.

  - `passport.middleName` (string)
    (OPTIONAL) Optional. The individual's middle name as it appears on the passport.

  - `passport.familyName` (string)
    (OPTIONAL) The individual's family name as it appears on the passport.

  - `passport.gender` (string)
    (OPTIONAL) The gender of the passport holder, as a single character "M", "F", or "X".

  - `passport.issuingCountry` (string, required)
    ISO 3166-1 alpha-2 country code of the issuing authority.

  - `passport.birthPlace` (string)
    (OPTIONAL) Optional. The place of birth of the passport holder.

  - `passport.nationality` (string)
    (OPTIONAL) Optional. ISO 3166-1 alpha-2 country code of the passport holder's nationality.

